classification
Title: Don't use obsolete unittest.makeSuite() in sqlite3 tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, erlendaasland
Priority: normal Keywords: patch

Created on 2020-05-30 11:35 by erlendaasland, last changed 2021-01-07 00:05 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20538 merged erlendaasland, 2020-05-30 11:43
Messages (4)
msg370371 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-05-30 11:35
Use `loadTestsFromTestCase()` iso. `makeSuite()` in sqlite3 tests. Implies changing the prefix for all test methods.

Ref. bpo-5846
msg370909 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-06-07 19:22
Berker, do you have any objections to this change?
msg384546 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2021-01-07 00:05
New changeset 849e339a925fb398be31e566c31b99ce6cdb6006 by Erlend Egeberg Aasland in branch 'master':
bpo-40823: Use loadTestsFromTestCase() iso. makeSuite() in sqlite3 tests (GH-20538)
https://github.com/python/cpython/commit/849e339a925fb398be31e566c31b99ce6cdb6006
msg384547 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2021-01-07 00:05
Thank you!
History
Date User Action Args
2021-01-07 00:05:40berker.peksagsetstatus: open -> closed
type: enhancement
messages: + msg384547

resolution: fixed
stage: patch review -> resolved
2021-01-07 00:05:15berker.peksagsetmessages: + msg384546
2020-06-07 19:22:02erlendaaslandsetnosy: + berker.peksag
messages: + msg370909
2020-05-30 11:43:45erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request19781
2020-05-30 11:35:53erlendaaslandcreate